Joinnew (gCube Join New Portlet 2.1.0-SNAPSHOT API)
Date: 2015-02-13

org.gcube.portlets.user.joinnew.client

## Class Joinnew

- java.lang.Object
- - org.gcube.portlets.user.joinnew.client.Joinnew

- All Implemented Interfaces:
    com.google.gwt.core.client.EntryPoint

      public class Joinnew
      extends Object
      implements com.google.gwt.core.client.EntryPoint

  Entry point classes define `onModuleLoad()`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `JOIN_NEW`
    `protected com.google.gwt.user.client.ui.VerticalPanel` | `mainPanel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Joinnew()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearPanel()`
    `static JoinNewServiceAsync` | `getService()`
    `static String` | `getURLa()`
    `static void` | `hideLoading()`
    `void` | `onModuleLoad()` This is the entry point method.
    `static void` | `refreshLoading()`
    `static void` | `showLoading()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### JOIN_NEW

          public static final String JOIN_NEW

      See Also:
        Constant Field Values

    - #### mainPanel

          protected com.google.gwt.user.client.ui.VerticalPanel mainPanel

  - ### Constructor Detail

    - #### Joinnew

          public Joinnew()

  - ### Method Detail

    - #### getService

          public static JoinNewServiceAsync getService()

    - #### onModuleLoad

          public void onModuleLoad()

      This is the entry point method.
      Specified by:
        `onModuleLoad` in interface `com.google.gwt.core.client.EntryPoint`

    - #### showLoading

          public static void showLoading()

    - #### hideLoading

          public static void hideLoading()

    - #### clearPanel

          public void clearPanel()

    - #### refreshLoading

          public static void refreshLoading()

    - #### getURLa

          public static String getURLa()

Copyright © 2015. All Rights Reserved.